Export the filtered calls as a CSV or Excel file
curl --request GET \
--url https://api.pineyard.ai/calls/export \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.pineyard.ai/calls/export', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.pineyard.ai/calls/export"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)Calls
Export the filtered calls as a CSV or Excel file
GET
/
calls
/
export
Export the filtered calls as a CSV or Excel file
curl --request GET \
--url https://api.pineyard.ai/calls/export \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.pineyard.ai/calls/export', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.pineyard.ai/calls/export"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)Required scope:
calls.viewAuthorizations
Your API key, e.g. pk_live_xxxxxxxxxxxxxxxxxxxxxxxx.
Query Parameters
Available options:
csv, xlsx Available options:
today, last_7_days, this_month, last_month, all_time, custom Available options:
true, false Response
CSV/XLSX file attachment

